> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch account usage metics

> Query and fetch usage metrics for the current account.



## OpenAPI

````yaml /pipeline.yaml get /pipeline/metric/usage
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/metric/usage:
    get:
      tags:
        - Metrics
      summary: Fetch account usage metics
      description: Query and fetch usage metrics for the current account.
      parameters:
        - schema:
            type: string
            format: date-time
          in: query
          name: from
          required: true
          description: Define the beginning of the window
        - schema:
            type: string
            format: date-time
          in: query
          name: to
          required: true
          description: Define the end of the window
        - schema:
            type: integer
            minimum: 300
          in: query
          name: bucket
          required: true
          description: Size of the interval represented by each returned metric result
        - schema:
            type: boolean
            default: true
          in: query
          name: include_deleted
          required: false
          description: Include Pipelines and nodes that have been deleted
        - schema:
            type: string
            format: uuid
          in: query
          name: pipeline_id
          required: false
          description: >-
            Limit usage metrics to the given pipeline id. If not defined, the
            metrics will include all pipelines for the account.
        - schema:
            type: string
            enum:
              - ingress
              - egress
          in: query
          name: traffic
          required: false
          description: >-
            Limit usage metrics to a single traffic direction. If not defined,
            the metrics for both directions will be included.
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````